/**
 * 新增服务项分类类型
 */
$(document).ready(function(){
	var XXPLcount = 0;
	var productCategoriesId = $("#productCategoriesId").val();
	// 初始化加载
//	if(productCategoriesId == 'undefined' || productCategoriesId == null || productCategoriesId == ""){
		$.ajax({
			type:'POST',
			url:'../servicePack/queryServiceList',
			dataType: 'json',//返回值类型 一般设置为json
			success: function (data)  //服务器成功响应处理函数
			{
				$("#serviceId").empty();
				var subs = data.list;// 获取data中list的数组
				var _array = [];
				_array.push("--请选择--");
				for ( var i = 0; i < subs.length; i++) {
					if(i==0){
						$("#typeCode").val(subs[i].code);
						$("#typeCode").attr("readonly","readonly");
					}
					_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
					$("#serviceId").html(_array.join(""));
				}
				$("#serviceId").html(_array.join(""));
			}
		});
//	}
	
	//新增服务项类型信息
	$("#addProductCategories").click(function(){
		var name = $("#name").val();
		var serviceId = $("#serviceId").val();
		var typeCode = $("#typeCode").val();
		
		if(name == null || name == ""){
			layer.alert("请填写物品名称！");
			$("#name").focus();
			return;
		}
		if(serviceId == null || serviceId == ""){
			layer.alert("请选择服务项！");
			$("#serviceId").focus();
			return;
		}
		if(typeCode == null || typeCode == ""){
			layer.alert("请输入分类编号！");
			$("#typeCode").focus();
			return;
		}
		$.ajax({
			type : 'POST',
			url : '../servicePack/addProductCategories',
			data:{"id":productCategoriesId,"name":name,"serviceId":serviceId,"typeCode":typeCode},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../servicePack/productCategoriesList";
				}else{
					alert(data.msg);
				}
			}
		});
	});
	
	//取消返回
	$("#back").click(function(){
		window.location.href="../servicePack/productCategoriesList";
	});
	
});

function serviceCode(){
	var serviceId = $("#serviceId").val();
	$.ajax({
		type:'POST',
		url:'../servicePack/queryServiceTypeInfo',
		data:{"serviceId":serviceId},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			$("#typeCode").empty();
			$("#typeCode").val(data.stf.code);
			$("#typeCode").attr("readonly","readonly");
		}
	});
}

